### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/deprecated/ecl-site-header-standardised/cta/ecl-site-header-standardised-cta.directive.ts`

### Deprecated

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclSiteHeaderStandardisedCta]`

### Index

###### Properties
className
###### Methods
getCssClasses
###### Inputs
class e2eAttr
###### HostBindings
class.ecl-standardised__cta

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class.ecl-standardised__cta
Type : `boolean`
Default value : `true`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Default value : `true`
Decorators : `@HostBinding('class.ecl-standardised__cta')`

# results matching ""

# No results matching ""